tutorialStep = UITutorialStep:create(false)
tutorialStep:addCompletionEvent(GameEventType_NextBattlezone)
tutorialStep:addCompletionEvent(GameEventType_LevelEnd)

coachPanel = CoachPanel:create("TutorialProps1", true)
coachPanel:show(0)
tutorialStep:addChild(coachPanel, ZOrder_Behind)

Level:getCurrentLevel():getHUD():addChild(tutorialStep)

coroutine.yield(tutorialStep)